body, html {
  height: 100%;
  margin: 0;
  padding: 0;
  font-size: 16px;
  font-family: "lato", sans-serif;
  font-weight: 400;
  color: #666;
}

/*
.front {
  position: relative;
  width: 100%;
  height: 100vh;
}

.front::after {
  content: "";
  background: linear-gradient(rgba(0, 0, 0, .5), rgba(0, 0, 0, .2)), url("img/img1.jpg");
  opacity: 0.80;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  position: absolute;
  z-index: -1;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-attachment:fixed;
}
*/

header {
  padding: 0 100px;
  width: 100%;
  height: 80px;
  box-sizing: border-box;
  background: rgba(0, 0, 0, .7);
  transition: .5s;
  position: fixed;
  z-index: 1;
}
ul {
  position: relative;
  margin: 0;
  padding: 0;
  display: flex;
  float: right;
  transition: .5s
}
header ul {
  top: -2px;
}
ul li {
  list-style: none;
}
ul li a {
  position: relative;
  display: block;
  padding: 10px 20px;
  margin: 20px 0;
  text-transform: uppercase;
  text-decoration: none;
  color: #fff;
  font-weight: bold;
  /*transition: .5s;*/
}
ul li a:hover {
  background: #d0b084;
  color: #fff;
}
.toggle {
  display: none;
  position: absolute;
  right: 10px;
  top: 26px;
  background: #ed9f19;
  color: #fff;
  padding: 5px;
  cursor: pointer;
  font-weight: bold;
}
@media (max-width: 1600px) {
  .toggle {
    display: block;
  }
  header {
    padding: 0 0;
    background: rgba(0,0,0, .7);
  }
  header ul {
    width: 100%;
    display: none;
    top: 1px;
  }
  header ul.active {
    display: block;
    z-index: 3;
  }
  header ul li a {
    margin: 0;
    display: block;
    text-align: center;
    color: #000;
    background: #fff;
  }
}
@media (max-width: 800px){
  header ul{
    top: 6px;
  }
}
#logo {
  width: 170px;
  margin-left: 8px;
  margin-top: 16px;
  margin-bottom: 10px;
}

@media (max-width: 800px){
  #logo{
    width: 150px;
  }
}/*
@media (max-width: 800px){
  #logo{
    width: 200px;
    height: auto;
    margin-top: 15px;
    margin-left: 5px;
  }
}*/
p {
  font-size: 18px;
}
.pimg1, .pimg2, .pimg3, .pimg4, .pimg5 {
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-attachment: fixed;
}
.pimg1 {
  min-height: 100%;
  position: relative;
  background: url("img/koneurakointi.jpg");
  /*background: linear-gradient(rgba(0, 0, 0, .5), rgba(0, 0, 0, .1)), url("img/etu1.jpg"); */
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-attachment: fixed;
}
.pimg2 {
  background-image: url("img/maatyot.jpg");
  min-height: 800px;
  background-position: left;
}
/*
.pimg3 {
  background-image: url("img/IMG_1755.jpg");
  min-height: 800px;
}
*/
.pimg4 {
  background-image: url("img/murske.jpg");
  min-height: 800px;

}
.pimg5 {
  background-image: url("img/urakointityot.jpg");
  min-height: 800px;
  background-position: right;
}
.section .content-text {
  max-width: 600px;
  margin: auto;
  font-size: 20px;
}
.section {
  text-align: center;
  padding: 150px 170px;
}
@media (max-width: 1200px){
  .section {
    padding: 100px 100px;
  }
}
@media (max-width: 700px){
  .section {
    padding: 100px 25px;
  }
}
.section-light {
  background-color: #d0b084;
  color: #000;
}
.section-dark {
  background-color: #d0b084;
  color: #fff;
}
.ptext {
  /*position: absolute;
  top: 35%;*/
  /*padding-top: 370px;*/
  width: 100%;
  text-align: center;
  color: #000;
  font-size: 40px;
  letter-spacing: 8px;
  text-transform: uppercase;
  font-weight: bold;
  position: relative;
}
.front-box-pc {
  position: absolute;
  top: 40vh;
  left: 50%;
  transform: translate(-50%);
  width: 100%;
}
@media screen and (min-width:320px) and (max-width:815px) and (orientation:landscape) {
  .logo2 {
    width: 450px!important;
  }
  h3 {
    font-size: 8px!important;
  }
  .front-box-pc {
    top: 35vh;
  }
}
.front-box-mobil {
  position: absolute;
  top: 40vh;
  left: 50%;
  transform: translate(-50%);
  width: 100%;
}
.front-box-mobil h3{
  width: fit-content;
}
/*
@media(max-width: 700px) {
  .ptext {
    padding-top: 330px;
  }
}
@media screen and (min-width:320px) and (max-width:815px) and (orientation:landscape) {
  .ptext {
    padding-top: 130px;
  }
}
*/
@media(max-height: 610px) {
  #bottom {
    position: absolute;
  }
}
@media(max-width: 700px) {
  #pc, #pc2 {
    display: none;
  }
}
@media(min-width: 700px) {
  #mobil, #mobil2 {
  display: none;
  }
}
 .border {
  color: #fff;
  padding: 10px 5px 10px 5px;
  margin: 0;
}
h1 {
  text-shadow: 2px 3px 5px rgba(0,0,0,1);
}
h2 {
  font-size: 40px;
}
@media(max-width: 700px) {
  h2 {
  font-size: 30px;
  }
}
h3 {
  color: white;
  font-size: 20px;
  background: linear-gradient(rgba(0, 0, 0, .8), rgba(0, 0, 0, .8));
  display: inline-block;
  padding-top: 5px;
  padding-bottom: 5px;
}
@media(max-width: 1000px) {
  h1{
    font-size: 50px;
  }
  h3 {
    font-size: 18px;
  }
}
@media(max-width: 700px) {
  h1{
    font-size: 30px;
    letter-spacing: 4px;
  }
  h3{
    font-size: 13px;
    letter-spacing: 4px;
  }
}
.ptext .border.trans {
  background-color: transparent;
}
@media(max-width: 1400px) {
  .pimg1, .pimg2, .pimg3, .pimg4, .pimg5 {
    background-attachment: scroll;

  }
  .pimg2, .pimg3, .pimg4, .pimg5 {
    min-height: 600px;
  }
  .ptext {
    font-size: 15px;
  }
}

.contact-info {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 20px;
}
.card {
  background: #2f3542;
  padding: 0 20px;
  margin: 0 10px;
  /*
  width: calc(33% - 20px);*/
  width: 350px;
  height: 200px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: #fff;
  margin-right: 15px;
  margin-left: 15px;
  margin-top: 30px;
  margin-bottom: 20px;
}
.card-icon {
  font-size: 45px;
  background: #d0b084;
  width: 60px;
  height: 60px;
  text-align: center;
  line-height: 60px !important;
  border-radius: 50%;
}
.card .card-icon {
  background: none;
  color: #D0B082;
}
.card p {
  margin-top: 20px;
  font-weight: 300;
  letter-spacing: 2px;
  max-height: 40px;
}
#billing:hover {
  cursor: pointer;
}
#billing:hover .fa-hand-point-right {
  transform: scale(1.1) rotate(-18deg);
}

/*
@media screen and (max-width:1700px) {
  .contact-info{
    flex-direction: column;
  }
  .card {
    width: 100%;
    max-width: 300px;
    margin: 10px 0;
  }
  .card p {
    font-size: 13px;
  }
}
*/


/* TÄSTÄ ALKAA TOISEN KONTAKTILAATIKOIODEN TYYLITTELY
*/

.contact-info2 {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-flow: wrap;
}


footer {
  text-align: center;
  background-color: #d0b084;
  padding: 50px 80px;
  /*display: flex;*/
  display: block;
  justify-content: space-between;
}
footer p {
    margin: 0;
    padding-top: 35px;
}
/*
@media(max-width: 800px) {
  footer {
    display: block;
  }
}
*/
#foot a {
  text-decoration: none;
  color: #000;
}
.marksxl {
  display: inline-block;
  margin-left: 110px;
  margin-top: 12px;
}
@media(max-width: 768px) {
  .marksxl {
    margin-left: 10px;
  }
}
@media(max-width: 580px) {
  .marksxl img {
    width: 55px;
  }
}
@media(max-width: 431px) {
  .marksxl img {
    width: 45px;
  }
}
@media(max-width: 396px) {
  .marksxl img {
    width: 35px;
  }
}
@media(max-width: 365px) {
  .marksxl {
    display: none;
  }
}
.marksxl img{
  max-width: 87px;
}
.marksxs img{
  width: 80px;
}
@media(min-width: 366px) {
  .marksxs {
    display: none;
  }
}
.logo2 {
width: 800px;
}
@media(max-width: 1000px) {
  .logo2  {
    width: 100%;
    height: auto;
  }
  .logobox {
    margin-left: 100px;
    margin-right: 100px;
  }
}
@media(max-width: 768px) {
  .logobox {
    margin-left: 20px;
    margin-right: 20px;
  }
}
.content-list {
      display: inline-block;
      margin: 1em 0;
      padding: 0 0 0 40px;
      text-align: center;
      float: none;
      position: static;
  }
  .content-list li {
      display: list-item;
      list-style: square;
      text-align: left;
      margin: 5px;
      font-size: 18px;
    }
    .note {
      margin-top: 0 !important;
      letter-spacing: normal!important;
      font-size: 13px;
      margin-bottom: -20px;
    }

/* TÄSTÄ ALKAA LASKUTUOHJEIDEN POP UP IKKUNAN MUOTOILU */
#popup {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 50%;
    background: rgb(255, 255, 255);
    word-wrap: break-word;
    display: none;
    z-index: 200;
}
@media(max-width: 1000px) {
  #popup {
    overflow-y: scroll;
    max-height: 100%;
    width: 80%;
  }
}
.closePopup {
    display: flex;
    position: absolute;
    top: .2rem;
    right: .2rem;
}
#overlay {
    opacity:0.8;
    background-color:#000;
    position:fixed;
    width:100%;
    height:100%;
    top:0px;
    left:0px;
    display: none;
    z-index: 100;
}
.closePopup:hover {
  cursor: pointer;
}
.popUpContnet {
  padding: 0 10px 10px 10px;
}
h4 {
  font-size: 25px;
}
table {
  border: 1px solid black;
  margin-left: auto;
  margin-right: auto;
  border-collapse: collapse;
}
td {
  border: 1px solid black;
  padding: 4px;
}
@media(max-width: 750px) {
  table {
    overflow-x: auto;
    font-size: 10px;
  }
}
#hinnastolinkki {
  text-decoration: none;
  color: black;
}
#hinnastosivu {
  text-decoration: none;
  color: black;
  font-weight: bold;
}

/* HINNASTOSIVUN MUOKKAUKSET */
h5 {
  font-size: 50px;
  text-align: center;
}
#takaisin {
  text-decoration: none;
  color: black;
  font-weight: bold;
}
.back {
  text-align: center;
}
.mail-link {
  text-decoration: none;
  color: inherit;
}
@media (max-width: 740px) {
  #nocall {
    display: none;
  }
}
@media (min-width: 741px) {
  #callto {
   display: none;
  }
}
@media (min-width: 741px) {
  #ringring{
   display: none;
  }
}


iframe {
  width: 100%;
  height: 450px;
  /*
  display: none;
  opacity: 0;
  animation: MoveDown .5s;
  */
}
@media (max-width: 740px) {
  iframe{
   height: 350px;
  }
}
.map-area {
  display: none;
  opacity: 0;
  animation: MoveDown .5s;
  position: relative;
}
#iframe-heading {
  font-size: 40px;
  margin-top: 35px;
  margin-bottom: 45px;
}
.active2 {
  display: block;
  opacity: 1;
}
.ohje {
  font-size: 13px;
  letter-spacing: normal !important;
  padding-top: 8px;
}
#click {
  width: 70px;
  float: right;
  display: none;
}
#billing:hover #click {
  display: block;
}
#close-button {
  position: absolute;
  top: 0;
  right: 0;
}

.close-container{
  position: absolute;
  margin: auto;
  width: 50px;
  height: 50px;
  cursor: pointer;
  top: 0;
  right: 0;
}

.leftright{
  height: 4px;
  width: 50px;
  position: absolute;
  margin-top: 24px;
  background-color: black;
  border-radius: 2px;
  transform: rotate(45deg);
  transition: all .3s ease-in;
}

.rightleft{
  height: 4px;
  width: 50px;
  position: absolute;
  margin-top: 24px;
  background-color: black;
  border-radius: 2px;
  transform: rotate(-45deg);
  transition: all .3s ease-in;
}
@media (max-width: 740px) {
  .rightleft{
   width: 28px;
  }
  .leftright {
    width: 28px;
  }
  .close-container {
    width: 28px;
  }
}
label{
  color: white;
  font-family: Helvetica, Arial, sans-serif;
  font-size: .6em;
  text-transform: uppercase;
  letter-spacing: 2px;
  transition: all .3s ease-in;
  opacity: 0;
}
.close{
  margin: 60px 10px 0 -20px;
  position: absolute;
  color: black;
}

.close-container:hover .leftright{
  transform: rotate(-45deg);
  background-color: black;
}
.close-container:hover .rightleft{
  transform: rotate(45deg);
  background-color: black;
}
.close-container:hover label{
  opacity: 1;
}


@keyframes MoveDown {
  0%{
    transform: translateY(-20px);
  }
  100% {
    transform: translateY(0);
  }
}


#visit-address:hover {
  cursor: pointer;
}
#visit-address:hover .fa-map-marker-alt {
  transform: scale(1.2);
}

.animat {
  animation-name: show;
  animation-duration: 0.2s;
}
@keyframes show {
  0% {
    transform: translateY(10px);
  }
}
